Subject: Re: [PATCH v3 2/5] read-cache: submodule add need --force given ignore=all configuration

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 15 Jan 2026 16:42:55 +0100

On Wed, Jan 14, 2026, at 08:47, Claus Schneider(Eficode) via GitGitGadget wrote:
> From: "Claus Schneider(Eficode)" <[email-masked]>
>
> Submodules configured with ignore=all are now skipped during add operations
> unless overridden by --force and the submodule path is explicitly specified.
>
> A message is printed (like ignored files) guiding the user to use the
> --force flag if the user has explicitely want to update the submodule
> reference.
>
> The reason for the change is support submodule branch tracking or
> similar and git status states nothing and git add should not add either
> as a default behaviour. The workflow is more logic and similar to regular
> ignored files even the submodule is already tracked.
>
> The change opens up a lot of possibilities for submodules to be used
> more freely and simular to the repo tool. A submodule can be added for many

s/simular/similar/ ? Although the sentence doesn’t quite make sense to
me. Well I’m unfamiliar with the domain anyway. ;)

> more reason and loosely coupled dependencies to the super repo which often

s/more reason/more reasons/ ?

> gives the friction of handle the explicit commits and updates without

s/handle/handling/

> the need for tracking the submodule sha1 by sha1.
>
> Signed-off-by: Claus Schneider(Eficode) <[email-masked]>
> ---
>[snip]